.\" -*- nroff -*-
.\"
.\" Copyright (c) 1996 Doug Rabson
.\"
.\" All rights reserved.
.\"
.\" This program is free software.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE DEVELOPERS ``AS IS'' AND ANY EXPRESS OR
.\" IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
.\" OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
.\" IN NO EVENT SHALL THE DEVELOPERS BE LIABLE FOR ANY DIRECT, INDIRECT,
.\" INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
.\" NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
.\" DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
.\" THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
.\" (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
.\" THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
.\"
.\" $FreeBSD: src/share/man/man9/VOP_BLKATOFF.9,v 1.1.2.1 1999/09/05 11:27:12 peter Exp $
.\"
.Dd July 24, 1996
.Os
.Dt VOP_BLKATOFF 9
.Sh NAME
.Nm VOP_BLKATOFF
.Nd return a filesystem buffer for part of a file
.Sh SYNOPSIS
.Fd #include <sys/vnode.h>
.Fd #include <sys/buf.h>
.Ft int
.Fn VOP_BLKATOFF "struct vnode *vp" "off_t offset" "char **res" "struct buf **bpp"
.Sh DESCRIPTION
.Pp
The arguments are:
.Bl -tag -width offset
.It Ar vp
The vnode representing the file.
.It Ar offset
The byte offset into the file where the buffer should start.
.It Ar res
Return parameter for a pointer to the last valid byte in the buffer.
.It Ar bpp
Return parameter for the buffer.
.El
.Pp
Return buffer with the contents of block
.Fa offset
from the beginning of file
.Fa ip .
.Fa res
is non-zero, fill it in with a pointer to the
remaining space in the directory.
.Pp
This call is only used internally by the UFS filesystem.
.Sh RETURN VALUES
Zero is returned on success, otherwise an error is returned.
.Sh SEE ALSO
.Xr vnode 9 ,
.Xr buf 9
.Sh AUTHORS
This man page was written by Doug Rabson.
